Package org.pushingpixels.substance.api.painter

# Class SubstancePainterUtils

java.lang.Object
org.pushingpixels.substance.api.painter.SubstancePainterUtils

public class SubstancePainterUtils extends Object

## Constructor Summary

Constructors
Constructor
Description
`SubstancePainterUtils()`

## Method Summary

Modifier and Type
Method
Description
`static Point`
`getOffsetInRootPaneCoords(Component comp)`
`static Component`
`getTopMostParentWithDecorationAreaType(Component comp, DecorationAreaType type)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SubstancePainterUtils

public SubstancePainterUtils()

## Method Details

### getOffsetInRootPaneCoords

public static Point getOffsetInRootPaneCoords(Component comp)

### getTopMostParentWithDecorationAreaType

public static Component getTopMostParentWithDecorationAreaType(Component comp, DecorationAreaType type)